Storyden
Notifications

Notification Settings Update

Replace notification delivery settings for the authenticated account. Omitted event overrides return to their defaults.

PATCH/notifications/settings

Replace notification delivery settings for the authenticated account. Omitted event overrides return to their defaults.

Authorization

storyden-session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Notification preferences. Replacing this object replaces its event overrides. Disabling Inbox also prevents Push for that event. Existing notifications are retained.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/notifications/settings" \  -H "Content-Type: application/json" \  -d '{    "events": {      "property1": {        "inbox": true,        "push": true      },      "property2": {        "inbox": true,        "push": true      }    },    "push": {      "enabled": true    }  }'
{  "events": {    "property1": {      "inbox": true,      "push": true    },    "property2": {      "inbox": true,      "push": true    }  },  "push": {    "enabled": true  }}